Skip to main content

Regenerate SAML certificate

Using this API, the saml certificate can be regenerated for the appname provided.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/saml/credentials?appname={appname}

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/v3_client/saml/secret?appname={appname}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters (Required)​

Parameter NameTypeDescription
appname (Required)StringUnique appName of the application

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataStringAutogenerated UUID certificate

Sample Response​

{
"message": "App certificate regenerated successfully",
"status": "OK",
"subSystem": 2,
"data": "MIICmzCCAYMCBgF5HZ7fTzANBgkqhkiG9w0BAQsFADARMQ8wDQYDVQQDDAZqYXJ2aXMwHhcNMjEwNDI5MTIzMjAxWhcNMzEwNDI5MTIzMzQxWjARMQ8wDQYDVQQDDAZqYXJ2aXMwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCDMwr8MfquDdCaNq42YYHW3wjwt5t4GbtIoDGR0OCFsGG6g5KLdK8BdGJjDRYplky8BGOTv7AE1O"
}

Response Status Information​

Status CodeStatusMessage
200OKApp certificate regenerated successfully
401UnauthorizedHTTP 401 Unauthorized
404NOT_FOUNDFailed to get App secret